nf.cc File Reference
`#include <polybori/groebner/PolynomialSugar.h>`
`#include <polybori/groebner/LMLessComparePS.h>`
`#include <polybori/groebner/PSCompareByEl.h>`
`#include <polybori/groebner/LexHelper.h>`
`#include <polybori/groebner/LexOrderGreaterComparer.h>`
`#include <polybori/groebner/ExpGreater.h>`
`#include <polybori/groebner/PolyMonomialPairComparerLexLess.h>`
`#include <polybori/groebner/PolyMonomialPairComparerLess.h>`
`#include <polybori/groebner/nf.h>`
`#include <polybori/groebner/linear_algebra_step.h>`
`#include <polybori/groebner/red_tail.h>`
`#include <polybori/groebner/ll_red_nf.h>`
`#include <polybori/groebner/add_up.h>`
`#include <polybori/groebner/polynomial_properties.h>`
`#include <polybori/groebner/LexBucket.h>`
`#include <polybori/LexOrder.h>`
`#include <iostream>`
`#include <polybori/iterators/COrderedIter.h>`

## Namespaces

| polybori
| polybori::groebner

## Constant Groups

| polybori
| polybori::groebner

## Functions

Polynomial | polybori::groebner::nf3 (const ReductionStrategy &strat, Polynomial p, Monomial rest_lead)
Polynomial | polybori::groebner::nf3_lexbuckets (const GroebnerStrategy &strat, Polynomial p, Monomial rest_lead)
Polynomial | polybori::groebner::nf3_no_deg_growth (const ReductionStrategy &strat, Polynomial p, Monomial rest_lead)
Polynomial | polybori::groebner::nf3_degree_order (const ReductionStrategy &strat, Polynomial p, Monomial lead)
Polynomial | polybori::groebner::nf3_short (const ReductionStrategy &strat, Polynomial p)
int | polybori::groebner::sum_size (const MonomialSet &s1, const MonomialSet &s2)
std::vector< Polynomial > | polybori::groebner::parallel_reduce (std::vector< Polynomial > inp, GroebnerStrategy &strat, int average_steps, double delay_f)
int | polybori::groebner::select_no_deg_growth (const ReductionStrategy &strat, const Monomial &m)
Polynomial | polybori::groebner::do_plug_1 (const Polynomial &p, const MonomialSet &m_plus_ones)
Polynomial | polybori::groebner::plug_1_top (const Polynomial &p, const MonomialSet &m_plus_ones)
Polynomial | polybori::groebner::plug_1 (const Polynomial &p, const MonomialSet &m_plus_ones)
Polynomial | polybori::groebner::cheap_reductions (const ReductionStrategy &strat, Polynomial p)
MonomialSet | polybori::groebner::mod_mon_set (const MonomialSet &as, const MonomialSet &vs)

## Variables

const int | polybori::groebner::FARE_WORSE =10